View Issue Details

IDProjectCategoryView StatusLast Update
0004875Talermechant backendpublic2017-06-06 14:18
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004875: /contract and /map API to be renamed and semantics merged
Description/contract becomes /contract/propose
/map/out becomes /contract/lookup (by transaction ID)
/map/in disappears as its logic will be melted inside /contract/propose
TagsNo tags attached.

Relationships

related to 0004859 closedMarcello Stanisci remove redundant fields from TALER_ContractPS 

Activities

Florian Dold

2017-02-01 15:28

manager   ~0011685

This should use the new terminology written down in 0004877 now.

Marcello Stanisci

2017-02-03 18:43

manager   ~0011686

Last edited: 2017-02-06 09:29

View 2 revisions

*This* bug is mostly done. Keeping open since there are still a bunch of
"h_contract" things lying around in the merchant..

Marcello Stanisci

2017-02-06 15:49

manager   ~0011697

Last edited: 2017-02-06 15:49

View 2 revisions

Currently blocked by 0004883, as several calls to the exchange's lib
now have changed the transaction_id's type.

Marcello Stanisci

2017-02-07 19:11

manager   ~0011701

the part merchant-exchange has been cleaned from the
use of transaction_id. A few occurrences are stil in
the /proposal handler, and need to be changed to *order_id*.

Marcello Stanisci

2017-02-10 17:54

manager   ~0011708

Fixed in c892b80. A new issue for total purge of the word 'contract' and
for making comments match the new code should be opened.

Issue History

Date Modified Username Field Change
2017-01-30 14:33 Marcello Stanisci New Issue
2017-01-30 14:33 Marcello Stanisci Status new => assigned
2017-01-30 14:33 Marcello Stanisci Assigned To => Marcello Stanisci
2017-02-01 13:58 Christian Grothoff Relationship added related to 0004859
2017-02-01 13:58 Christian Grothoff Summary /contract and /map API to be renamed => /contract and /map API to be renamed and semantics merged
2017-02-01 15:28 Florian Dold Note Added: 0011685
2017-02-03 18:43 Marcello Stanisci Note Added: 0011686
2017-02-04 10:53 Marcello Stanisci Priority normal => high
2017-02-06 09:29 Marcello Stanisci Note Edited: 0011686 View Revisions
2017-02-06 15:49 Marcello Stanisci Note Added: 0011697
2017-02-06 15:49 Marcello Stanisci Note Edited: 0011697 View Revisions
2017-02-07 19:11 Marcello Stanisci Note Added: 0011701
2017-02-10 17:54 Marcello Stanisci Status assigned => resolved
2017-02-10 17:54 Marcello Stanisci Resolution open => fixed
2017-02-10 17:54 Marcello Stanisci Note Added: 0011708
2017-02-13 13:46 Christian Grothoff Product Version => SVN HEAD
2017-02-13 13:46 Christian Grothoff Fixed in Version => 0.3
2017-02-13 13:46 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed